//     ======================= COM_port.h ===================================
//     **********************************************************************
//      "   COM " -   =============
//     Author: Yeremeyev Dmitriy Vladimirovich *** mailto:edvmail@mail.ru
//     Last update : 19.10.2009
//     **********************************************************************
#if !defined(COM_PORT_H_INCLUDED_)
#define COM_PORT_H_INCLUDED_

#include "wx/wx.h"

#define COMPortDsrTabMaxNum 50  //   COM 
#define		CSRP_BufSize 2048	//   ,   

//   COM 
struct TCOMPortDescriptors {
	HANDLE			hCOMPort;
	wxString		PortName;
	COMMTIMEOUTS	TimeOutS;
	DCB				dcb;
};

//   
typedef enum {
	cfBPS20 = 0,
	cfBPS21
} TFormatType;

//==================================================================================
//============================       ==================================
//==================================================================================

//     COM 
void CP_COMPortInit();
//      COM 
void CP_COMPortClose();
//  COM 
HFILE CP_OpenCOMPort(USHORT aCOMPortNum,int iBaudRate, char cParity, int iByteSize, int iStopBit);
//   
DWORD CP_ReadCOMPort(HFILE hPort, LPVOID lpBuffer, DWORD nNumberOfBytesToRead);
//   
DWORD CP_WriteCOMPort(HFILE hPort, LPVOID lpBuffer, DWORD nNumberOfBytesToWrite);
//   COM 
wxString* CP_GetCOMPortName(HFILE hPort);

//  COM 
void CP_CloseCOMPort(HFILE hPort);

#endif // !defined(COM_PORT_H_INCLUDED_)
